This is GStreamer FFmpeg Plug-ins  0.10.13, "Speeding, sparks like lightning"

Changes since 0.10.12:

      * Use libav 0.7.2 internal branch for security fixes
      * Fixes for handling FLAC 
      * Post QoS messages when dropping 
      * Properly report GPL or LGPL licensing

Bugs fixed since 0.10.12:

      * 566605 : Support the new ffmpeg metadata API
      * 574661 : [gstffmpegdec] Wrong usage of parsers
      * 608892 : DCA/AAC/AC-3 decoders broken in gst-ffmpeg
      * 532779 : ffmpeg configured with options leading to GPL license
      * 589361 : [ffdec_flac] extradata NULL or too small error
      * 640012 : ffmpegdec outputs wrong timestamps
      * 643591 : ffmpegdec: invalid timestamp being used for next timestamp calculation
      * 651768 : [PATCH] Arm cross compile fail (Failed to configure embedded FFmpeg tree)
      * 654634 : postproc: gst-inspect-0.10 -a aborts with gstpostproc.c:360:change_mode: assertion failed: (postproc- > mode)
      * 656155 : ffdec_mpeg2video and interlace property
      * 656328 : [ffdeinterlace] add automatic " mode " property
      * 657950 : ffmpegdec: post QoS messages when dropping a frame
      * 658019 : ffdec_ass: caps seems wrong

Changes since 0.10.11:

      * Bump to LibAV 0.7
      * Timestamp tracking fixes
      * New codecs
      * Multi-threaded decoding

Bugs fixed since 0.10.11:

      * 595590 : Conditional jump or move depends on uninitialised 
value in ff_h264_find_frame_end
      * 611500 : [regression] Wrong outgoing timestamps
      * 613901 : No support for PIX_FMT_YUVA420P, prevents vp6a 
decoding
      * 629648 : ffenc_dvdsub wrongly categorized as audio encoder
      * 631075 : RTP based decoding degrades over time
      * 632691 : [ffenc_ac3] does not support changing the number of 
channels on the fly
      * 632877 : [ffdec_h264] always outputs same timestamp
      * 639681 : [ffdec_wmv3] regression: video very unsmooth with 
various mms streams
      * 639993 : h.263+ support is broken
      * 642015 : [ffvideoscale] add support for UYVY
      * 642507 : [mingw/cygwin build] ensure building of plugin dll
      * 646838 : ffdec_h264 fail to decode some stream
      * 648816 : [compile] with-ffmpeg-extra-configure passes incorrect 
cflags
      * 649297 : regression: ffdemux_ape fails with 
gst_ffmpegdata_open: assertion `GST_PAD_IS_SRC (pad)' failed
      * 649372 : ffdec: make the time threshold to skip to next 
keyframe configurable
      * 650596 : ffenc_aac needs AAC profile support in caps
      * 650695 : Patch adds LATM/LOAS support to codecmap and make 
distinction between ADTS and LATM/LOAS
      * 651447 : [ffdec_aac] Add mpegversion 2 to caps
      * 651625 : [ffdec] Check for AV_NOPTS_VALUE in PTS
      * 651714 : [ffdec] Fix calculating frame duration from last 
timestamp and frame count
      * 652812 : Don't create dummy extradata for AAC LATM
      * 653648 : [ffmpegdec] allocates and leaks avpacket helper 
structs
      * 653649 : [ffmpegdec] complains in basic encoding / decoding 
pipeline
      * 653717 : [ffmpegdec] wrong audio template src caps

Changes since 0.10.10:

      * Synced to FFmpeg 0.6 branch
      * Add mappings for all new codecs
      * encoders: proxy downstream width/height/framerate
      * encoders: Fix timestamps

Bugs fixed since 0.10.10:

      * 566250 : [ffdec_aac] Crash in gst_ffmpegdec_audio_frame
      * 613231 : [ffdec] Aspect ratio change is not detected
      * 622736 : [ffdeinterlace] [PATCH] Set the 'interlaced' field to FALSE in the source pad's caps
      * 622773 : Encourage people to not use ffmpeg muxers
      * 623388 : [audio encoders] Wrong output timestamps when receiving big input buffers
      * 623671 : Various klass/description/rank fixes

Changes since 0.10.9:

      * Update to revision 21874 of ffmpeg (Feb 18th 2010)
      * Various fixes for encoders
      * Faster plugin/element creation
      * Fix duration of out-of-order buffers

Bugs fixed since 0.10.9:

      * 610613 : a vp6 flv file crashes totem and pitivi
      * 330681 : [real] RV20 video garbled
      * 361177 : Need WMS decoder
      * 578160 : ffenc_h263 doesn't list the resolutions it actually supports
      * 593647 : ffdec_flashsv doesn't work
      * 593651 : buffer-size property of ffenc_* is a cop-out
      * 601421 : [fixed upstream] WMA9 support
      * 601501 : [ffdec_vc1] Fails to decode some VC1 streams that work with mplayer
      * 603331 : Feature request: intel indeo 4 & 5 codec support
      * 610469 : flv file doesn't play in totem
      * 610481 : [ffmpegdec] wrong output timestamps when non-keyframe following flush
      * 611398 : [regression] outgoing buffer durations aren't correct
      * 611722 : [regression] No decoder for video/x-wmv, wmvversion=(int)3, format=(fourcc)WMVA
      * 611782 : [regression] Segmentation fault in demuxers

Changes since 0.10.8:
    
      * Update FFmpeg snapshot to SVN 19580 on the 0.5 branch
      * Improve tag passing
      * Track timestamps and frame delay for improved timestamping
      * Support 4khz ADPCM and g.721

Bugs fixed since 0.10.8:
     
      * 574661 : [gstffmpegdec] Wrong usage of parsers
      * 575545 : [gstffmpegenc] Wrong usage of AVCodec.pix_fmts
      * 578278 : gst-ffmpeg: assign offsets (from upstream) to outgoing buffers
      * 586894 : distclean removes gst-libs/ext/ffmpeg
      * 586957 : [ffdemux_ape] APE file metadata not retained during transcode
      * 588546 : Add AC3 audio codec to DVD Muxer
      * 590172 : ffdec_theora does not work
      * 590964 : Varying licensing in COPYING file in release tarballs
      * 591038 : Colorspace error during negotiation in ffenc_mjpeg
      * 591163 : Duration calculation is wrong for codecs with ticks_per_frame != 1
      * 591469 : gst-ffmpeg won't build
      * 591809 : [ffdec_adpcm_ima_wav] can't decode ADPCM file
      * 593141 : Add AG_GST_ARG_WITH_PKG_CONFIG_PATH to configure
      * 594306 : ffdec_* sets channel-positions for common mono and stereo cases
      * 594454 : gstreamer does not support adpcm, g721  audio file ?

Changes since 0.10.7:
    
      * Ability to force key-frames in video encoders
      * Better timestamp handling in decoders
      * Improved muxer wrapping
      * Code cleanups and refactoring

Bugs fixed since 0.10.7:
     
      * 570815 : ffmenc_mpeg4 allows its bitrate property to be changed wi...
      * 574728 : Use new interlaced support from -base
      * 575678 : [ffmux] Set caps on the srcpad / output buffers
      * 575715 : [ffenc_h263] Properties
      * 576126 : av_iformat_next and av_oformat_next compile errors using ...
      * 577879 : Bad check in configure.ac
      * 578278 : gst-ffmpeg: assign offsets (from upstream) to outgoing bu...
      * 580796 : [ffmpegdec] out-of-order timestamps
      * 580810 : Stuttering and crash with some H.264 files
      * 581009 : gst-ffmpeg needs presets support
      * 585845 : 0.10.7.2 breaks swfdec
      * 587297 : build failure on macosx
      * 575709 : Request a key frame
      * 584291 : Cannot create elements after calling  gst_update_registry
      * 584399 : FFmpeg libraries are included in incorrect order when ext...

Changes since 0.10.6:

      * Update to ffmpeg 0.5 release
      * Support channel layouts for multichannel audio
      * Add mappings for new codecs: Real Video 3.0, EAC3, QCELP, IMC,
        MLP and more
      * Support push-based demuxers
      * Expose preload and maxdelay muxer properties

Bugs fixed since 0.10.6:
     
      * 573400 : [gstffmpegdec] crashes with hardware-accelerated decoders.
      * 575759 : Regression in framerates
      * 392534 : ffdemux enhancement: push based scheduling
      * 548002 : libavcodec doesn't provide audio channel mappings
      * 560644 : ffmpegdec leaks memory when gst_ffmpegdec_open is not called
      * 563305 : gst-ffmpeg 0.10.6 build from tarball fails
      * 564867 : Killing the gst-ffmpeg dependency on libbz2
      * 565269 : GStreamer can't play newset Terminator: Salvation HD 1080...
      * 566647 : [ffenc_amr_*] wrong number of channels and wrong samplera...
      * 567336 : Text file detected as VC1 video
      * 569441 : Use AVCodec.sample_fmts for list of compatible sample for...
      * 570975 : Enable DVD Muxer
      * 572863 : ffmpeg requires 128bit-aligned buffers.
      * 573649 : Buffer overflow in gst gstffmpegaudioresample
      * 574663 : [gstffcodecmap] Unused codec mapping for ATRAC3 codec
      * 574746 : Disable external library decoders/encoders
      * 574814 : Bogus muxer/demuxer/typefind are exposed
      * 575664 : ffmux_amr disappeared
      * 566250 : [ffdec_aac] Crash in gst_ffmpegdec_audio_frame

Changes since 0.10.5:
    
      * Update ffmpeg and libswscale snapshot
      * Prefer aspect ratios prescribed by the container over the codec
      * Improve ffmpeg encoders wrapping
      * Rewrite ffvideoscale to use libswscale
      * Improve H.264 wrapping

Bugs fixed since 0.10.5:
     
      * 350738 : [ffvideoscale] GStreamer-Critical when pixel-aspects-rati...
      * 504056 : [ffvideoscale] Switch to using libswscale
      * 542216 : cross compilation and mingw32 support
      * 548304 : missing check for bz2 library and header
      * 551046 : gst-ffmpeg configure complains about libz2, should be libbz2
      * 556336 : [PATCH] gstffmpegdec.c: prefer demuxer's pixel aspect rat...
      * 556405 : gst-ffmpeg fails to build against 20081014 ffmpeg snapshot
      * 560137 : Two build fixes for using system ffmpeg
      * 560305 : x264enc & ffmux_* doesnt link

Changes since 0.10.4:

      * Updated to upstream ffmpeg revision r15004 (28th Aug 2008)

Bugs fixed since 0.10.4:

      * 371939 : mov/mp4/m4a/3gp/3g2 muxers create wrong durations
      * 383420 : [ffmpeg] ISO-derivative muxers don't handle audio correctly
      * 518705 : Can't play streams from Rai.it
      * 533708 : broken mpeg-ts typefinding?
      * 534371 : autogen.sh not dist'ed
      * 534390 : Patch: use av_picture_copy instead of swscale to copy pic...
      * 534392 : PATCH: never use ffdec_faad
      * 534783 : Remove FLV demuxer
      * 540401 : Garbled sound instead of music
      * 549799 : all audio codecs claim to support up to 6 channels

Changes since 0.10.3:
    
      * New build system based on direct upstream FFmpeg svn
      * Much newer FFmpeg with more decoders
      * New ffaudioresample element
      * Better timestamp handling
      * Basic reverse playback
      * New codecs wrapped

Bugs fixed since 0.10.3:

      * 504056 : [ffvideoscale] Switch to using libswscale
      * 488913 : Move to a saner ffmpeg checkout system
      * 321662 : reenable our get_buffer function in gst-ffmpeg
      * 334707 : ffmpeg reads past the end of data passed to it
      * 337866 : [ffmpeg] timestamps wrong
      * 338989 : [ffenc_mjpeg] Creates garbled content
      * 359965 : ffenc_huffyuv broken
      * 394208 : Compile Error on Intel Mac OS X
      * 421068 : ffenc_h263p -- missing options
      * 427082 : [fixed upstream] totem crashes when trying to play an .AIF
      * 449420 : [fixed upstream] [FLV] Incorrect FLV frame sizes
      * 467121 : [fixed upstream] WVC1 codec
      * 482660 : h264 playback is not smooth
      * 496127 : [deinterlace/scale/postproc] support for non-I420 colorsp...
      * 503249 : Add GIF support
      * 503733 : PATCH: stop gst-inspect --print-all from crashing when gs...
      * 510745 : Add musepack sv7 support
      * 510985 : Don't register typefinders for which we have replacements...
      * 511011 : gst-ffmpeg autogen.sh not checking for subversion presence
      * 511476 : Missing codec inside gstffmpegcodecmap.c
      * 515205 : Dubious .flv file crashes totem
      * 515811 : add debug-mv property to ffdec_*
      * 518033 : Add Monkey's Audio (APE) support
      * 519235 : make clean twice produces some error messages
      * 528082 : [ffmpeg] compile error
      * 529015 : Port from deprecated img_convert to swscale
      * 531857 : Can't play WVC1 videos
      * 532803 : Doesn't build properly with system ffmpeg
     
Changes since 0.10.2:
    
      * Memory usage fixes
      * Playback and seeking fixes
      * Improved QOS support
      * Parallel installability with 0.8.x series
      * Threadsafe design and API

Bugs fixed in since 0.10.1:
     
      * 331323 : [ffdec_mp3] crashing while playing mp3
      * 332339 : FFmpeg muxers port to 0.10
      * 324279 : add build infrastructure for tests
      * 324366 : gst-ffmpeg doesn't support --disable-encoders
      * 327257 : playing mpeg video hangs
      * 338928 : [ffdemux_aac] shouldn't be autoplugged, as it can't work ...
      * 339042 : expose Apple Quick Draw decoder
      * 341234 : Totem SIGABRTs when trying to play 3gp
      * 341715 : 'Element doesn't implement handling of this stream. Pleas...
      * 341738 : WMV/WMA8 movie stutters, gets audio out of sync
      * 343604 : [ffmpeg]: Support two passes encoding
      * 343951 : patch for win32+vs6
      * 347984 : Internal GStreamer error in ffdec_mpeg4
      * 348031 : rtpdepay does not add framerate capability
      * 351437 : [PATCH] ffmpeg postproc ported to 0.10
      * 351791 : Crashes playing crasher.nsv
      * 355584 : gst-ffmpeg / ffenc_flv generates unusable files
      * 359545 : ffdemux_mpegts broken
      * 361636 : h263 variant not specified with CODEC_ID_H263
      * 363365 : Please update the ffmpeg snapshot
      * 364956 : Caps incompatibilities for AMR
      * 383009 : CVE-2006-4800 4xm buffer overflow
      * 344583 : [PATCH] ffmpegenc to support/expose more avcodec properties
      * 351415 : (some) ffenc produce garbled results
      * 352579 : [avidemux] cane toad movie: sometimes no audio after seek
      * 378796 : broken ffmux_mov


Changes since 0.10.0:

      * ffvideoscale ported
      * ffdeinterlace ported
      * demuxer wrapper works pull-based
      * disabled mpeg2 video and mp3 audio autoplugging
      * fixes for Indeo3, PNG, smc, H264 HD, H263, FLV1, G2

Bugs fixed since 0.10.0:
    
      * 162833 : [ffdemux_mp3] ffmpeg mp3 decoder miss seeking
      * 311272 : Reading mpeg-ts stream from standard input does not work
      * 319248 : configure script doesn't accept --with-pkg-config-path ar...
      * 320238 : Fails to build under powerpc
      * 322254 : avcodec_open()/close() aren't thread-safe
      * 323286 : [ffdec_cinepak] chef.avi causes gstreamer to hang in preroll
      * 326372 : Indeo AVI files do not play with 0.10
      * 326704 : [ffdec] Memory leak when joining pcache
      * 327028 : MS Video 1 palettized AVI doesn't work
      * 327224 : ffdeinterlace port to 0.10
      * 327861 : [ffmpegenc] FFMpeg audio encoders do not set caps to buffers
      * 329963 : gstreamer CVS doesn't work with ffmpeg codecs
      * 330634 : Wrap the ffmpeg demuxers
      * 331209 : [ffdec_h264] seeking in " IntoTheBlue_Cin_AVC.mp4 " crashes...
      * 332072 : Too fast playback of h263p encoded file
      * 332557 : FFmpeg video scale port to 0.10
      * 332995 : segfault in ffmpeg enc
      * 333001 : Memory leak in ffmpegenc
      * 324209 : [CVE-2005-4048] avcodec_default_get_buffer heap overflow

Changes since 0.9.6:

      * Improved pixel aspect ratio handling
        
Changes since 0.9.4:
    
      * DivX fix
